# Projecte EDD
Grup: Dimecres 3
Membres: Ivn Lpez Castillo, Pep Puig Soler, Alejandro Martnez Ramos

# Objectius del Projecte

Els components que integrarem en aquest circuit seran:?

1. Crear una PCB que permeti controlar el funcionament dels diferents components que componen el maleter dun cotxe en especfic.
2. Implementar el rel calefactor del vidre. ?
3. Dissenyar un control de seguretat mitjanant un sensor de moviment. ?
4. Fer que la porta darrera del cotxe sobri mitjanant: una apertura manual, un sensor (detecci a nivell de terra) i un calefactor per el vidre del maleter.

?Amb aquest enfocament, aspirem a crear un sistema electrnic complet i funcional que satisfaci les necessitats i requeriments especificat


## Llista de components

|Components |Model| Voltatge (V) | Corrent |
|:----------------|:---------|:------------------|:-|
|Motor|[PLS-G22](https://www.johnsonelectric.com/pub/media/image/tmp/metric-imperial/datasheet-PLS-G22_2.pdf)|12|10A|
|Sensor de moviment|[PL-Q873-02](https://www.snapeda.com/parts/PL-Q873-02/KEMET/view-part/ref=search&t=infrared%20sensor)|3.3| |
|Rel calefactor|[G8N-1U-DC12](https://www.snapeda.com/parts/G8N-1U-DC12/Omron%20Electronics/datasheet/)|3.3|30A|
|DB-9 connector|[MHDB9SP](https://www.mhconnectors.com/storage/components/mhdb_sp_1.pdf)| | |
|Microcontrolador|[DSPIC 33 CK256MP502](https://ww1.microchip.com/downloads/aemDocuments/documents/MCU16/ProductDocuments/DataSheets/dsPIC33CK256MC506-Family-Data-Sheet-DS70005473C.pdf) |12|300mA|
|Transceiver CAN |[SN65HVD26x](https://www.snapeda.com/parts/SN65HVD267D/Texas%20Instruments/datasheet/) |3.3 |10-20mA|
|Regulador de Voltatge |[MCP1702-3602E/TO](https://www.mouser.es/datasheet/2/268/22008E-70956.pdf)|3.3|250mA|
|Driver del Motor|[DRV8872DDA](https://www.snapeda.com/parts/DRV8872DDA/Texas%20Instruments/datasheet/)|12|20A|
|SWITCH| [TMAG5131-Q1](https://www.ti.com/product/TMAG5131-Q1) |12|1.25mA|
|Sensor |[PL-Q873-02](https://www.snapeda.com/parts/PL-Q873-02/KEMET/datasheet/)| 12|25mA |
|R Shunt|[CSS2H-2512](https://www.snapeda.com/parts/CSS2H-2512K-2L00F/Bourns/datasheet/)| | |
|Conector|[DT04-12PA](https://www.snapeda.com/parts/DT04-12PA/TE%20Connectivity%20Deutsch%20Connectors/datasheet/)| | |
|Conector programacio|[SS-105-T-2](https://www.mouser.es/ProductDetail/Samtec/SS-105-T-2utm_campaign=mouser&qs=rU5fayqh%252BE36%252BCY6qNX3Ng==&utm_medium=online&utm_source=snapedaonline&utm_content=model)| | |
|Conector de 4 pins|[76308-104LF](https://www.mouser.es/ProductDetail/Amphenol-FCI/76308-104LFutm_campaign=mouser&qs=JKvp4j4r6FQ7iEsUVWfbNQ==&utm_medium=online&utm_source=snapedaonline&utm_content=model)| | |
|PLS motor|[PLS-203-PM](https://www.sycelectronica.com.ar/articulo.php?codigo=PLS-203-PM#RECOMENDACIONES)|15A(max)|250V(max)|
|Oscillador Microcontrolador|[CM7V-T1A-32.768KHZ-9PF-20PPM-TB-QA](https://www.snapeda.com/parts/CM7V-T1A-32.768KHZ-9PF-20PPM-TB-QA/Micro%20Crystal/datasheet/)| | |
|EEPROM| [M24M02-DWMN3TP_K](https://www.snapeda.com/parts/M24M02-DWMN3TP/K/STMicroelectronics/datasheet/) |3.3| 10uA - 3.5mA|

## Actualitzacions

| Data    | Autor | Versi  | Actualitzaci                  |
| ------ | ------ | ------------------------------ |
| 26/03  | Pep  | V1 | Recerca de las empremtes y dels footprints|
| 27/03  | Alex    | V1 | Actualitzaci del Diagrama de Blocs |
| 30/03  | Ivan    | V1 |Investigaci dels pins |
| 02/03  | Ivan  | V1 |Creaci del Markdown |
|02/03  | Alex, Pep, Ivan  | V1 | Primera versi (en brut) del esquemtic           |
|03/03| Alex, Pep, Ivan |V1.1| Actualitzaci dels components | 
|07/04| Alex |V1.2| Canvi del Microcontrolador (Model 502), adici de components i implementaci de comunicaci I2C | 
|09/04| Ivan |V1.2.1| Reestrocturar i corregir esquemtic|
|09/04| Pep | V1.2.2| Afegir EEPROM i cristalls |
|14/04| Alex | V1.2.3| Implementar EEPROM i cristalls al esquemtic, asignar footprints als components i corregir errors d'elements passius |
|14/04| Alex, Pep, Ivan | V1.2.4| Comenament del placing i del routing, en concret el cristall oscillador |
|15/04| Alex | V2 | Actualitzaci del routing i redistribuci de components aixi com divisi de zona PWR i SIGNAL|
|16/04| Alex | V2.1 | Actualitzaci del routing i redistribuci de components, definici de els plans de PWRGND, 12V, GND, 3.3V|
|19/04| Alex | V2.2 | Canvi del conector DB-9 SMD a un THT, canvi de la distribuci de plans a les diferents capes i connexi dels pins de programaci al microcontrolador|
|22/04| Alex, Pep, Ivan | V2.3 | Correci dels comentaris afegits i actualitzaci del placing (switches)|
|23/04| Pep| V2.4 | Canvi del model dels connectors de programaci, de 4 pins i el conector pls del motor| 
|24/04| Pep, Alex i Ivan|V2.4| Actulitzacio definitiva routing, generar presentacio i presupostos definitius|
## AVISOS

Ja estan establertes les connexions diferencials del DB-9, encara no estem afegin les vies distribuides per la placa degut a que encara no tenim el dissenys final, un com el tinguem ho farem. Per cert, que s all que hem vas mencionar que haba de fer amb l'error que ens donava el micro?